OpConstants
Keywords: org.p2c2e.zag.OpConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zag
Interface OpConstants

All Known Implementing Classes:
  Zag

public interface OpConstants

Field Summary
`static int` | `ADD`
`static int` | `ALOAD`
`static int` | `ALOADB`
`static int` | `ALOADBIT`
`static int` | `ALOADS`
`static int` | `ASTORE`
`static int` | `ASTOREB`
`static int` | `ASTOREBIT`
`static int` | `ASTORES`
`static int` | `BINARYSEARCH`
`static int` | `BITAND`
`static int` | `BITNOT`
`static int` | `BITOR`
`static int` | `BITXOR`
`static int` | `CALL`
`static int` | `CALLF`
`static int` | `CALLFI`
`static int` | `CALLFII`
`static int` | `CALLFIII`
`static int` | `CATCH`
`static int` | `COPY`
`static int` | `COPYB`
`static int` | `COPYS`
`static int` | `DEBUGTRAP`
`static int` | `DIV`
`static int` | `GESTALT`
`static int` | `GETIOSYS`
`static int` | `GETMEMSIZE`
`static int` | `GETSTRINGTBL`
`static int` | `GLK`
`static int` | `JEQ`
`static int` | `JGE`
`static int` | `JGEU`
`static int` | `JGT`
`static int` | `JGTU`
`static int` | `JLE`
`static int` | `JLEU`
`static int` | `JLT`
`static int` | `JLTU`
`static int` | `JNE`
`static int` | `JNZ`
`static int` | `JUMP`
`static int` | `JUMPABS`
`static int` | `JZ`
`static int[]` | `L`
`static int` | `LINEARSEARCH`
`static int` | `LINKEDSEARCH`
`static int[]` | `LL`
`static int[]` | `LLL`
`static int[]` | `LLLLLLLS`
`static int[]` | `LLLLLLS`
`static int[]` | `LLLLS`
`static int[]` | `LLLS`
`static int[]` | `LLS`
`static int` | `LOAD`
`static int[]` | `LS`
`static int` | `MOD`
`static int` | `MUL`
`static int` | `NEG`
`static int` | `NOP`
`static int` | `PROTECT`
`static int` | `QUIT`
`static int` | `RANDOM`
`static int` | `RESTART`
`static int` | `RESTORE`
`static int` | `RESTOREUNDO`
`static int` | `RETURN`
`static int[]` | `S`
`static int` | `SAVE`
`static int` | `SAVEUNDO`
`static int` | `SETIOSYS`
`static int` | `SETMEMSIZE`
`static int` | `SETRANDOM`
`static int` | `SETSTRINGTBL`
`static int` | `SEXB`
`static int` | `SEXS`
`static int` | `SHIFTL`
`static int[]` | `SL`
`static int[]` | `SS`
`static int` | `SSHIFTR`
`static int` | `STKCOPY`
`static int` | `STKCOUNT`
`static int` | `STKPEEK`
`static int` | `STKROLL`
`static int` | `STKSWAP`
`static int` | `STORE`
`static int` | `STREAMCHAR`
`static int` | `STREAMNUM`
`static int` | `STREAMSTR`
`static int` | `SUB`
`static int` | `TAILCALL`
`static int` | `THROW`
`static int` | `USHIFTR`
`static int` | `VERIFY`

Field Detail

### NOP

    public static final int NOP

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### SUB

    public static final int SUB

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### NEG

    public static final int NEG

See Also:
  Constant Field Values

### BITAND

    public static final int BITAND

See Also:
  Constant Field Values

### BITOR

    public static final int BITOR

See Also:
  Constant Field Values

### BITXOR

    public static final int BITXOR

See Also:
  Constant Field Values

### BITNOT

    public static final int BITNOT

See Also:
  Constant Field Values

### SHIFTL

    public static final int SHIFTL

See Also:
  Constant Field Values

### SSHIFTR

    public static final int SSHIFTR

See Also:
  Constant Field Values

### USHIFTR

    public static final int USHIFTR

See Also:
  Constant Field Values

### JUMP

    public static final int JUMP

See Also:
  Constant Field Values

### JZ

    public static final int JZ

See Also:
  Constant Field Values

### JNZ

    public static final int JNZ

See Also:
  Constant Field Values

### JEQ

    public static final int JEQ

See Also:
  Constant Field Values

### JNE

    public static final int JNE

See Also:
  Constant Field Values

### JLT

    public static final int JLT

See Also:
  Constant Field Values

### JGE

    public static final int JGE

See Also:
  Constant Field Values

### JGT

    public static final int JGT

See Also:
  Constant Field Values

### JLE

    public static final int JLE

See Also:
  Constant Field Values

### JLTU

    public static final int JLTU

See Also:
  Constant Field Values

### JGEU

    public static final int JGEU

See Also:
  Constant Field Values

### JGTU

    public static final int JGTU

See Also:
  Constant Field Values

### JLEU

    public static final int JLEU

See Also:
  Constant Field Values

### CALL

    public static final int CALL

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### TAILCALL

    public static final int TAILCALL

See Also:
  Constant Field Values

### COPY

    public static final int COPY

See Also:
  Constant Field Values

### COPYS

    public static final int COPYS

See Also:
  Constant Field Values

### COPYB

    public static final int COPYB

See Also:
  Constant Field Values

### SEXS

    public static final int SEXS

See Also:
  Constant Field Values

### SEXB

    public static final int SEXB

See Also:
  Constant Field Values

### ALOAD

    public static final int ALOAD

See Also:
  Constant Field Values

### ALOADS

    public static final int ALOADS

See Also:
  Constant Field Values

### ALOADB

    public static final int ALOADB

See Also:
  Constant Field Values

### ALOADBIT

    public static final int ALOADBIT

See Also:
  Constant Field Values

### ASTORE

    public static final int ASTORE

See Also:
  Constant Field Values

### ASTORES

    public static final int ASTORES

See Also:
  Constant Field Values

### ASTOREB

    public static final int ASTOREB

See Also:
  Constant Field Values

### ASTOREBIT

    public static final int ASTOREBIT

See Also:
  Constant Field Values

### STKCOUNT

    public static final int STKCOUNT

See Also:
  Constant Field Values

### STKPEEK

    public static final int STKPEEK

See Also:
  Constant Field Values

### STKSWAP

    public static final int STKSWAP

See Also:
  Constant Field Values

### STKROLL

    public static final int STKROLL

See Also:
  Constant Field Values

### STKCOPY

    public static final int STKCOPY

See Also:
  Constant Field Values

### STREAMCHAR

    public static final int STREAMCHAR

See Also:
  Constant Field Values

### STREAMNUM

    public static final int STREAMNUM

See Also:
  Constant Field Values

### STREAMSTR

    public static final int STREAMSTR

See Also:
  Constant Field Values

### GESTALT

    public static final int GESTALT

See Also:
  Constant Field Values

### DEBUGTRAP

    public static final int DEBUGTRAP

See Also:
  Constant Field Values

### GETMEMSIZE

    public static final int GETMEMSIZE

See Also:
  Constant Field Values

### SETMEMSIZE

    public static final int SETMEMSIZE

See Also:
  Constant Field Values

### JUMPABS

    public static final int JUMPABS

See Also:
  Constant Field Values

### RANDOM

    public static final int RANDOM

See Also:
  Constant Field Values

### SETRANDOM

    public static final int SETRANDOM

See Also:
  Constant Field Values

### QUIT

    public static final int QUIT

See Also:
  Constant Field Values

### VERIFY

    public static final int VERIFY

See Also:
  Constant Field Values

### RESTART

    public static final int RESTART

See Also:
  Constant Field Values

### SAVE

    public static final int SAVE

See Also:
  Constant Field Values

### RESTORE

    public static final int RESTORE

See Also:
  Constant Field Values

### SAVEUNDO

    public static final int SAVEUNDO

See Also:
  Constant Field Values

### RESTOREUNDO

    public static final int RESTOREUNDO

See Also:
  Constant Field Values

### PROTECT

    public static final int PROTECT

See Also:
  Constant Field Values

### GLK

    public static final int GLK

See Also:
  Constant Field Values

### GETSTRINGTBL

    public static final int GETSTRINGTBL

See Also:
  Constant Field Values

### SETSTRINGTBL

    public static final int SETSTRINGTBL

See Also:
  Constant Field Values

### GETIOSYS

    public static final int GETIOSYS

See Also:
  Constant Field Values

### SETIOSYS

    public static final int SETIOSYS

See Also:
  Constant Field Values

### LINEARSEARCH

    public static final int LINEARSEARCH

See Also:
  Constant Field Values

### BINARYSEARCH

    public static final int BINARYSEARCH

See Also:
  Constant Field Values

### LINKEDSEARCH

    public static final int LINKEDSEARCH

See Also:
  Constant Field Values

### CALLF

    public static final int CALLF

See Also:
  Constant Field Values

### CALLFI

    public static final int CALLFI

See Also:
  Constant Field Values

### CALLFII

    public static final int CALLFII

See Also:
  Constant Field Values

### CALLFIII

    public static final int CALLFIII

See Also:
  Constant Field Values

### LOAD

    public static final int LOAD

See Also:
  Constant Field Values

### STORE

    public static final int STORE

See Also:
  Constant Field Values

### L

    public static final int[] L

### LL

    public static final int[] LL

### LLL

    public static final int[] LLL

### LLLS

    public static final int[] LLLS

### LLLLS

    public static final int[] LLLLS

### LLLLLLS

    public static final int[] LLLLLLS

### LLLLLLLS

    public static final int[] LLLLLLLS

### LS

    public static final int[] LS

### S

    public static final int[] S

### SS

    public static final int[] SS

### SL

    public static final int[] SL

### LLS

    public static final int[] LLS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD